%define	name	madbomber
%define	version	0.2.4
%define	release	5mdk
%define summary	Catch the bombs

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://newbreedsoftware.com/madbomber
Source0:	ftp://ftp.sonic.net/pub/users/nbs/unix/x/madbomber/%{name}-%{version}.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
License:	GPL
Packager:	Pixel <pixel@mandrakesoft.com>
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	SDL_mixer-devel SDL_image-devel XFree86-devel libalsa-devel esound-devel
Patch:		madbomber-0.1.8-fix-CFLAGS.patch.bz2
Patch1:		madbomber-0.2.4-add-keypad-keys.patch.bz2

%description
The Mad Bomber is loose in the city and he's dropping bombs everywhere! It's
your job to catch them before they hit the ground and explode. Luckily, you
have a set of trusty buckets to extinguish them with.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -z .pix
chmod a+r -R .
# remove .xvpics directories
find . -type d -name .xvpics | xargs rm -rf

cat <<EOF > %{name}.menu
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="MadBomber"\
		  longtitle="%{summary}"
EOF

%build
%make CFLAGS="%{optflags}" DATA_PREFIX=%{_gamesdatadir}/%{name}/

%install
rm -rf $RPM_BUILD_ROOT

install -D %{name} $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a data/* $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

install -D -m644 %{name}.menu $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS.txt CHANGES.txt README.txt
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog 
* Sun Mar 23 2003 Pixel <pixel@mandrakesoft.com> 0.2.4-5mdk
- removed lurking .xvpics directories

* Thu Nov 12 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.2.4-4mdk
- Removed obsolete Prefix tag
- Removed redundant BuildRequires
- Cleanups
- Added menuitem
- Added icons
- Moved stuff to the correct places

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-3mdk
- rebuild

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 0.2.4-2mdk
- recompile against new vorbis stuff

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 0.2.4-1mdk
- new release

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 0.1.8-12mdk
- rebuild for new libasound (alsa)

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.8-11mdk
- BuildRequires

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 0.1.8-10mdk
- rebuilding for libpng3

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.8-9mdk
- BuildRequires: libSDL-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 0.1.8-8mdk
- fix rights
- rebuild

* Mon Jul  2 2001 Pixel <pixel@mandrakesoft.com> 0.1.8-7mdk
- fix description

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 0.1.8-6mdk
- rebuild with new SDL

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 0.1.8-5mdk
- rebuild with new libSDL_mixer

* Wed Nov 29 2000 Pixel <pixel@mandrakesoft.com> 0.1.8-4mdk
- rebuild, build req

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.1.8-3mdk
- capitalize summary

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.1.8-2mdk
- rebuild

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 0.1.8-1mdk
- initial spec
